> ## Documentation Index
> Fetch the complete documentation index at: https://docs.messari.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get network

> Retrieve a specific network



## OpenAPI

````yaml GET /metrics/v1/networks/{networkIdentifier}
openapi: 3.0.0
info:
  description: OpenAPI specification for the entire Messari API
  title: Messari API - Metrics V1
  version: 1.0.0
servers:
  - description: Messari API
    url: https://api.messari.io
security: []
paths:
  /metrics/v1/networks/{networkIdentifier}:
    get:
      tags:
        - metrics/networks
      summary: Get network
      description: Retrieve a specific network
      operationId: getNetwork
      parameters:
        - description: Network ID or slug
          in: path
          name: networkIdentifier
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    $ref: '#/components/schemas/Network'
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Default response
        '400':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    Network:
      properties:
        id:
          type: string
        metrics:
          $ref: '#/components/schemas/NetworkMetrics'
        name:
          type: string
        slug:
          type: string
      required:
        - id
        - metrics
        - name
        - slug
      type: object
    NetworkMetrics:
      type: object
      description: Schema for NetworkMetrics
      properties: {}
      additionalProperties: true
  securitySchemes:
    apiKey:
      in: header
      name: X-Messari-API-Key
      type: apiKey

````